Boot API

The boot API is used for provisioning and configuring the nodes.

See also: for how these boot endpoints are implemented inside the daemon — base/boot.py, node discovery, and the templ_install assembly — see luna2 daemon architecture.

Booting

Get boot iPXE template (GET /boot)

Request

GET /boot

Example:

GET https://controller1.cluster:7050/boot
Parameter Description
None -

Request header

Request body

Query parameters

Parameter Presence Type Description
None - - -

Response body An IPXE template is returned. The contents of this are generated by Luna daemon. The underlying template used is templ_boot_ipxe.cfg. See templ_boot_ipxe.cfg

#!ipxe
[...]
[...]

Response header

State Code Description
OK 200 OK Indicates the request has succeeded
FAIL HTTP 503 Service unavailable This is returned when the backend is unavailable.